DynamicJava Javadoc: Class LibraryFinder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.util
Class LibraryFinder

    java.lang.Object
      |
      +--koala.dynamicjava.util.FileFinder
            |
            +--koala.dynamicjava.util.LibraryFinder

public class LibraryFinder
extends FileFinder

The instances of `LibraryFinder` are used to locate files with given suffixes.

Constructor Summary
`LibraryFinder()` Creates a new library finder

Method Summary
`void` | `addSuffix(java.lang.String s)` Adds a file suffix, for example ".java"
`java.io.File` | `findCompilationUnit(java.lang.String cname)` Looks for the dynamic class with the given name
`java.lang.String` | `findCompilationUnitName(java.lang.String cname)` Finds the path where the given class is possibly stored

Methods inherited from class koala.dynamicjava.util.FileFinder
`addPath, findFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibraryFinder

    public LibraryFinder()

  Creates a new library finder
  Parameters:
    `suffix` - the suffix of the source files

Method Detail

### addSuffix

    public void addSuffix(java.lang.String s)

  Adds a file suffix, for example ".java"

### findCompilationUnit

    public java.io.File findCompilationUnit(java.lang.String cname)
                                     throws java.lang.ClassNotFoundException

  Looks for the dynamic class with the given name
  Parameters:
    `cname` - the fully qualified name of the class to find
  Returns:
    the file that contains the class
  Throws:
    `java.lang.ClassNotFoundException` - if the class cannot be loaded

### findCompilationUnitName

    public java.lang.String findCompilationUnitName(java.lang.String cname)
                                             throws java.lang.ClassNotFoundException

  Finds the path where the given class is possibly stored
  Parameters:
    `cname` - the fully qualified name of the class to find
  Returns:
    the name of the root class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.